Package ru.bitel.bgbilling.modules.payonline.server.bean

# Class RebillTransactionManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<RebillTransaction>
ru.bitel.bgbilling.modules.payonline.server.bean.RebillTransactionManager

All Implemented Interfaces:
  `AutoCloseable`

public class RebillTransactionManager extends ru.bitel.common.dao.AbstractDao<RebillTransaction>
Менеджер для работы с транзациями автоплатежей.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RebillTransactionManager(Connection con, int mid)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected RebillTransaction`
  `getFromRS(ResultSet rs)`
  `List<RebillTransaction>`
  `getList(PeriodWithTime period, String filter, Object... params)`
  Возвращает список удачных или неудачных транзакций автоплатежей, в зависимости от фильтра.
  `protected void`
  `updateImpl(RebillTransaction b)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RebillTransactionManager

    public RebillTransactionManager(Connection con, int mid)

- ## Method Details

  - ### updateImpl

    protected void updateImpl(RebillTransaction b) throws ru.bitel.bgbilling.common.BGException, SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<RebillTransaction>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### getList

    public List<RebillTransaction> getList(PeriodWithTime period, String filter, Object... params) throws ru.bitel.bgbilling.common.BGException
    Возвращает список удачных или неудачных транзакций автоплатежей, в зависимости от фильтра.
    Parameters:
      `period` - - период за который нужно сформировать список
    Returns:
      list - список транзакций
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected RebillTransaction getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<RebillTransaction>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`